import service from '../utils/js/request'

const taskReport = {
	getDayReports: function(reportDate, userId) {
		return service({
			url: '/personDayReport/getReportsByReportDateAndUser',
			method: 'POST',
			data: {
				reportDate: reportDate,
				userId: userId
			}
		})
	},
	getReportObject: function() {
		return service({
			url: '/personDayReport/getReportObject',
			method: 'GET',
		})
	},
	getReportTasks: function(param) {
		return service({
			url: '/personDayReport/getReportTasks/' + param,
			method: 'GET'
		})
	},
	personDayReportAdd: function(param) {
		return service({
			url: "/personDayReport/add",
			method: "POST",
			data: param
		})
	},
	personDayReportEdit: function(param) {
		return service({
			url: "/personDayReport/edit",
			method: "POST",
			data: param
		})
	},
	personDayReportDelete: function(param) {
		return service({
			url: '/personDayReport/delete',
			method: 'POST',
			data: param
		})
	},
	getReportFormData: function(param) {
		return service({
			url: '/personWeekReport/getTaskReportFormData',
			method: 'POST',
			data: param
		})
	},
	monthReportAdd: function(param) {
		return service({
			url: '/personWeekReport/reportAdd',
			method: 'POST',
			data: param
		})
	},
	monthReportEdit: function(param) {
		return service({
			url: '/personWeekReport/reportEdit',
			method: 'POST',
			data: param
		})
	},
	getEmpTree:function(){
		return service({
			url:"/team/getEmpTreeData",
			method:"GET"
		})
	},
	getPersonReportDetail:function(param){
		return service({
			url:"/personDayReport/getPersonReportDetail",
			method:"POST",
			data:param
		})
	},
	getOverTime:function(param){
		return service({
			url:"/personDayReport/getOverTime",
			method:"POST",
			data:param
		})
	},
	getLeaveTime:function(param){
		return service({
			url:"/personDayReport/getLeaveTime",
			method:"POST",
			data:param
		})
	}
}

export default taskReport
